## START: Set by rpmautospec
## (rpmautospec version 0.8.2)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%bcond inline_snapshot 1
# Currently, all tests are snapshot-based.
%bcond tests %{with inline_snapshot}

Name:           python-rich-toolkit
Version:        0.14.8
Release:        %autorelease
Summary:        Rich toolkit for building command-line applications

# SPDX
License:        MIT
URL:            https://github.com/patrick91/rich-toolkit
Source:         %{pypi_source rich_toolkit}

BuildSystem:            pyproject
BuildOption(install):   -l rich_toolkit

BuildArch:      noarch

%if %{with tests}
# Testing dependencies; these are included in the “dev” dependency group, but
# this also includes a number of dependencies that are only used for debugging,
# typechecking, running the examples, etc.; we therefore maintain this list
# manually rather than attempting to generate it.
BuildRequires:  %{py3_dist pytest} >= 8.3.2
%if %{with inline_snapshot}
BuildRequires:  %{py3_dist inline-snapshot} >= 0.12.1
%endif
%endif

%global common_description %{expand:
This is a very opinionated set of components for building CLI applications. It
is based on Rich.}

%description %common_description


%package -n     python3-rich-toolkit
Summary:        %{summary}

%description -n python3-rich-toolkit %common_description


%check -a
%if %{with tests}
%if %{without inline_snapshot}
ignore="${ignore-} --ignore=tests/test_toolkit.py"
ignore="${ignore-} --ignore=tests/test_tagged_style.py"
%endif

%pytest ${ignore-} -v
%endif


%files -n python3-rich-toolkit -f %{pyproject_files}
%doc README.md
%doc examples/


%changelog
## START: Generated by rpmautospec
* Fri Jul 11 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 0.14.8-1
- Update to 0.14.8

* Mon Jun 16 2025 Python Maint <python-maint@redhat.com> - 0.14.7-2
- Rebuilt for Python 3.14

* Tue May 27 2025 Packit <hello@packit.dev> - 0.14.7-1
- Update to 0.14.7 upstream release
- Resolves: rhbz#2368787

* Thu May 22 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 0.14.6-3
- Do not depend on pytest if tests are disabled

* Thu May 22 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 0.14.6-2
- Add a build conditional for the inline-snapshot test dependency

* Mon May 12 2025 Packit <hello@packit.dev> - 0.14.6-1
- Update to 0.14.6 upstream release
- Resolves: rhbz#2365728

* Mon May 05 2025 Packit <hello@packit.dev> - 0.14.5-1
- Update to 0.14.5 upstream release
- Resolves: rhbz#2364060

* Tue Apr 29 2025 Packit <hello@packit.dev> - 0.14.4-1
- Update to 0.14.4 upstream release
- Resolves: rhbz#2363007

* Wed Apr 23 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 0.14.3-1
- Update to 0.14.3 (close RHBZ#2361877)

* Fri Apr 04 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 0.14.1-2
- Fix missing source archive

* Fri Apr 04 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 0.14.1-1
- Update to 0.14.1 (close RHBZ#2355216)

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.13.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Mon Jan 13 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 0.13.2-1
- Update to 0.13.2 (close RHBZ#2337408)

* Thu Dec 05 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.12.0-2
- F41+: Use the provisional declarative buildsystem

* Thu Dec 05 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.12.0-1
- Update to 0.12.0

* Thu Dec 05 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.11.3-1
- Initial package (close RHBZ#2330453)
## END: Generated by rpmautospec
